#include <exec/types.h>
#include <clib/dos_protos.h>
#include <clib/exec_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/intuition_protos.h>
#include <pragmas/intuition.h>
#include <pragmas/exec.h>
#include <pragmas/dos.h>
#include <pragmas/gadtools.h>

#include "externs.h"


#define WIN_LEFT	50
#define WIN_TOP		20
#define WIN_WIDTH 	400
#define WIN_HEIGHT	140


#define GADID_OPENSCREEN	1
#define GADID_QUIT		2
#define GADID_CLOSESCREEN	3
#define GADID_MOVEPSX		4
#define GADID_MAKEDEFAULT	5
#define GADID_SCREENLIST	6
#define GADID_REFRESH		7
#define GADID_SHANGHAI		8
#define GADID_POP		9


#define SGID_XDIM		1
#define SGID_YDIM		2
#define SGID_DEPTH		3
#define SGID_OPEN		4
#define SGID_CANCEL		5
#define SGID_NAME		6

