#include "ToolManager.h"

/* Version string */
MyIdent="$VER: ToolManager 1.1 (01.01.1991)";

/* Structures for icon */
static __chip UWORD ImageData[]={ /* Graphic data (48x48 Pixels) */
 0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,
 0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000};
static struct Image MyIconImage={NULL,NULL,48,24,1,ImageData,1,0,NULL};
struct DiskObject MyIcon={NULL,NULL,
  /* Gadget definition */ {NULL,NULL,NULL,48,25,NULL,NULL,NULL,&MyIconImage,
                           NULL,NULL,NULL,NULL,NULL,NULL},
                          NULL,NULL,NULL,NO_ICON_POSITION,
                          NO_ICON_POSITION,NULL,NULL,NULL};

/* Structures for message port */
struct MsgPort *MyMP;

/* List for ToolNodes */
struct List ToolList; /* This list contains ToolNodes */
UWORD ToolCount=0;    /* Number of tools in ToolList */

/* Tags for System() */
struct TagItem MyTags[]={SYS_Input,NULL,  /* Input file handle */
                         SYS_Output,NULL, /* Output file handle */
                         SYS_Asynch,TRUE, /* Run tools asynchronously */
                         TAG_DONE,NULL};

/* Structures for window */
UBYTE WindowTitle[]="ToolManager V1.1 1991 by S. Becker";
struct NewWindow nw={20,20,640,256,0,1,CLOSEWINDOW|REFRESHWINDOW|GADGETUP|
                     GADGETDOWN|MOUSEMOVE|INTUITICKS,WINDOWDRAG|WINDOWDEPTH|
                     WINDOWCLOSE|SMART_REFRESH|ACTIVATE|GIMMEZEROZERO,NULL,
                     NULL,WindowTitle,NULL,NULL,0,0,0,0,0};
struct TagItem wtags[]={WA_InnerWidth, 100,
                        WA_InnerHeight, 100,
                        WA_AutoAdjust, TRUE,
                        WA_PubScreen, 0,
                        TAG_DONE};
